Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCwindow

## Specification of methods

### setMapStatus method

Form
  long setMapStatus(long)
Function
  Changes the window stacks.
Description
  Raises the window,if WS_TOP, and lowers it if WS_BOTTOM.
Parameters

  (in)long status | direction

Return value
  Returns WS_NO_ERR if it succeeds; returns an error number if it fails.
Notice
Samples

        //Bringing the window to most top.
        newwin000->setMapStatus(WS_TOP);

  ### adjustForm method

  Form
    virtual void adjustForm()
  Function
    Calls this method when resized.
  Description
    You can handle the resize event by overloading this method.
    For example: if you must resize the child instances when the resize event is fired, you can resize them in the overloaded method.
  Parameters
    None.
  Return value
    None.
  Notice

        void new_class::adjustForm(){
          //do something when the form is resized.

          //call the method of the parent class.
          old_class::adjustForm();
        }

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004